Skip to main content
GET
/
domains
/
{domain_id}
/
identity-providers
TypeScript
import { MyOrganizationClient } from "github.com/auth0/myorganization-js";

async function main() {
    const client = new MyOrganizationClient({
        token: "<token>",
    });
    await client.organization.domains.identityProviders.get("domain_id");
}
main();
{
  "identity_providers": [
    {
      "id": "con_2CZPv6IY0gWzDaQJ",
      "display_name": "Acme Engineering",
      "name": "acme-engineering"
    },
    {
      "id": "con_2CZPv6IY0gWzDaQG",
      "display_name": "Acme Engineering 2",
      "name": "acme-engineering-2"
    }
  ]
}

Release Lifecycle

Beta

Scopes

Scopes define permissions and access levels for API requests and authentication tokens.
read:my_org:domains
read:my_org:identity_providers

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

domain_id
string
required

Organization domain identifier.

Pattern: ^ord_[A-Za-z0-9]{22}$

Response

List identity providers for an organization domain.

identity_providers
object[]